# Type Alias ExclusifyUnion<T>

ExclusifyUnion: _ExclusifyUnion<T, AllKeys<T>>

Builds an exclusive union type from a union type C = ExclusifyUnion<A|B> toto:C = {a: "tata"} OK tata:C = {b: 123} OK tutu: C = {a: "tata", b: 123} KO => Types of property 'a' are incompatible. Type 'string' is not assignable to type 'undefined'. This is the kind of error shown when you add too many properties with this definition.

#### Type Parameters

- T

- Defined in jamespot-user-api/src/types/utils.ts:25